# This Makefile.PL for OpenGL-Sandbox-V1-FTGLFont was generated by
# Dist::Zilla::Plugin::InlineModule 0.07
# and Dist::Zilla::Plugin::MakeMaker::Awesome 0.38.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

# inserted by Dist::Zilla::Plugin::CheckLib 0.006
use Devel::CheckLib;
check_lib_or_exit(
    header => 'FTGL/ftgl.h',
    incpath => '/usr/include/freetype2/',
    lib => 'ftgl',
    debug => '1',
);

use ExtUtils::MakeMaker;

use lib 'inc';
use Inline::Module;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Wrapper around FTGL Font library which renders TrueType in OpenGL 1.x",
  "AUTHOR" => "Michael Conrad <mike\@nrdvana.net>",
  "CONFIGURE_REQUIRES" => {
    "Devel::CheckLib" => "1.03",
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "OpenGL-Sandbox-V1-FTGLFont",
  "LICENSE" => "perl",
  "NAME" => "OpenGL::Sandbox::V1::FTGLFont",
  "PREREQ_PM" => {
    "Cwd" => 0,
    "Moo" => 0,
    "OpenGL::Sandbox::MMap" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec::Functions" => 0,
    "FindBin" => 0,
    "Log::Any::Adapter" => 0,
    "Log::Any::Adapter::TAP" => 0,
    "OpenGL::Sandbox" => 0,
    "Test::More" => 0,
    "Time::HiRes" => 0,
    "Try::Tiny" => 0
  },
  "VERSION" => "0.03",
  "postamble" => {
    "inline" => {
      "bundle" => 1,
      "ilsm" => [
        "Inline::CPP"
      ],
      "module" => [
        "OpenGL::Sandbox::V1::FTGLFont"
      ],
      "stub" => [
        "OpenGL::Sandbox::V1::FTGLFont::Inline"
      ]
    }
  },
  "test" => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "Cwd" => 0,
  "File::Spec::Functions" => 0,
  "FindBin" => 0,
  "Log::Any::Adapter" => 0,
  "Log::Any::Adapter::TAP" => 0,
  "Moo" => 0,
  "OpenGL::Sandbox" => 0,
  "OpenGL::Sandbox::MMap" => 0,
  "Test::More" => 0,
  "Time::HiRes" => 0,
  "Try::Tiny" => 0,
  "strict" => 0,
  "warnings" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
